libtest-needs-perl_0.002005-1_all.deb


Advertisement

Description

libtest-needs-perl - module to skip tests when modules are not available

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libtest-needs-perl_0.002005-1_all.deb
Package name libtest-needs-perl
Package version 0.002005
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/Test-Needs
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 7.90 KB
Installed size 25.00 KB
Test::Needs allows one to skip test scripts if modules are not available. The
requested modules will be loaded, and optionally have their versions checked.
If the module is missing, the test script will be skipped. Modules that are
found but fail to compile will exit with an error rather than skip.
If used in a subtest, the rest of the subtest will be skipped.
If the "RELEASE_TESTING" environment variable is set, the tests will
fail rather than skip. Subtests will be aborted, but the test script
will continue running after that point.

Alternatives

Package Version Architecture Repository
libtest-needs-perl_0.002005-1_all.deb 0.002005 all Debian Main
libtest-needs-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libtest-needs-perl_0.002005-1_all.deb
Source Package libtest-needs-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtest-needs-perl deb package:
    # sudo apt-get install libtest-needs-perl

Files

Path
/usr/share/doc/libtest-needs-perl/changelog.Debian.gz
/usr/share/doc/libtest-needs-perl/changelog.gz
/usr/share/doc/libtest-needs-perl/copyright
/usr/share/man/man3/Test::Needs.3pm.gz
/usr/share/perl5/Test/Needs.pm

Changelog

2016-10-12 - Angel Abad <angel@debian.org>
libtest-needs-perl (0.002005-1) unstable; urgency=medium
* Team upload.
* New upstream version 0.002005
* debian/copyright: Update years.
2016-08-28 - Lucas Kanashiro <kanashiro@debian.org>
libtest-needs-perl (0.002004-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.002004
2016-06-13 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libtest-needs-perl (0.002002-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.002002
2016-05-28 - gregor herrmann <gregoa@debian.org>
libtest-needs-perl (0.002000-1) unstable; urgency=low
* Initial release (closes: #825641).

See Also

Package Description
libtest-needsdisplay-perl_1.07-3_all.deb module to ensure that tests needing a display have one
libtest-net-ldap-perl_0.07-1_all.deb Net::LDAP subclass for testing
libtest-nobreakpoints-perl_0.15-2_all.deb module to test that files do not contain soft breakpoints
libtest-notabs-perl_2.02-1_all.deb module for scanning for hard tabs in files
libtest-nowarnings-perl_1.04-2_all.deb module to make sure you didn't emit any warnings while testing
libtest-number-delta-perl_1.06-1_all.deb module to compare the difference between numbers against a given tolerance
libtest-object-perl_0.08-1_all.deb module for thoroughly testing objects via registered handlers
libtest-output-perl_1.031-1_all.deb perl module to test stdout and stderr messages
libtest-perl-critic-perl_1.04-1_all.deb module to use Perl::Critic in test scripts
libtest-perl-critic-progressive-perl_0.03-1_all.deb module that allows gradual enforcement of coding standards
libtest-pod-content-perl_0.0.6-2_all.deb Perl module for testing POD content
libtest-pod-coverage-perl_1.10-2_all.deb module to check for pod coverage in a distribution
libtest-pod-no404s-perl_0.02-1_all.deb test utility checking POD for HTTP 404 links
libtest-pod-perl_1.52-1_all.deb module to test for POD errors
libtest-poe-client-tcp-perl_1.26-1_all.deb POE Component providing TCP client services for test cases
Advertisement
Advertisement